Support Parser::PTD_FOR_INCLUSION mode in action=expandtemplates
Open, LowestPublic

Description

Maybe also for [[Special:ExpandTemplates]]


Version: 1.22.0
Severity: enhancement
See Also:
T51365: Support Parser::PTD_FOR_INCLUSION mode in frame:preprocess.

Details

Reference
bz49353
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz49353.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.Jun 9 2013, 6:53 AM

Change 168669 had a related patch set uploaded by Umherirrender:
Add preprocessflags to revisions/parse/expandtemplates

https://gerrit.wikimedia.org/r/168669

The patch does not include [[Special:ExpandTemplates]], maybe create a new bug, if that should also have the flag.

Change 168669 had a related patch set uploaded (by Umherirrender):
Add preprocessflags to revisions/deletedrevisions/parse/expandtemplates

https://gerrit.wikimedia.org/r/168669

Patch-For-Review

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Feb 19 2015, 6:59 PM

Change 168669 abandoned by Umherirrender:
Add preprocessflags to revisions/deletedrevisions/parse/expandtemplates

Reason:
Old patch, no longer support

https://gerrit.wikimedia.org/r/168669

Umherirrender set Security to None.
Umherirrender removed subscribers: gerritbot, Umherirrender, Unknown Object (MLST).

Change 168669 restored by Umherirrender:
Add preprocessflags to revisions/deletedrevisions/parse/expandtemplates

Reason:
Still love the idea to have this flags

https://gerrit.wikimedia.org/r/168669

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2015, 5:52 PM

FYI: The patch does not provide FOR_INCLUSION in combination with the rvexpandtemplates param

Change 168669 abandoned by Umherirrender:
API: Allow parsetree to be processed as in inclusion mode

Reason:
No longer support for this patch set

As mentioned some weeks ago, this patch set will not be moved to the release 1.27.
Feel free to copy, change and submit under your own name.

https://gerrit.wikimedia.org/r/168669

Umherirrender lowered the priority of this task from Low to Lowest.Sep 29 2015, 2:45 PM
Umherirrender removed Umherirrender as the assignee of this task.
Umherirrender added a subscriber: Umherirrender.

(Lowered priority to lowest to reflect low review activity for possible patch sets on this task)

Anomie renamed this task from Support Parser::PTD_FOR_INCLUSION mode in action=query&prop=revisions&rvgeneratexml&rvexpandtemplates to Support Parser::PTD_FOR_INCLUSION mode in action=expandtemplates.May 4 2017, 7:24 PM
Anomie updated the task description. (Show Details)

Per T164106: Deprecate parsing and diff options in ApiQueryRevisionsBase, rvexpandtemplates is deprecated now. This could still be done for action=expandtemplates.